Bug 2070749 - SELinux is preventing 20-chrony-dhcp from 'append' accesses on the unix_stream_socket unix_stream_socket.
Summary: SELinux is preventing 20-chrony-dhcp from 'append' accesses on the unix_strea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 36
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e85e808edb95520323de54faf46...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-31 20:08 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2022-05-02 19:43 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-36.8-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-02 19:43:21 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github fedora-selinux selinux-policy pull 1164 0 None open Allow nm-dispatcher chronyc plugin append to init stream sockets 2022-04-25 08:35:55 UTC

Description Dominik 'Rathann' Mierzejewski 2022-03-31 20:08:54 UTC
Description of problem:
This just occurred on system boot.
SELinux is preventing 20-chrony-dhcp from 'append' accesses on the unix_stream_socket unix_stream_socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that 20-chrony-dhcp should be allowed append access on the unix_stream_socket unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c '20-chrony-dhcp' --raw | audit2allow -M my-20chronydhcp
# semodule -X 300 -i my-20chronydhcp.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_dispatcher_chrony
                              c_t:s0
Target Context                system_u:system_r:init_t:s0
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        20-chrony-dhcp
Source Path                   20-chrony-dhcp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
SELinux Policy RPM            selinux-policy-targeted-36.5-1.fc36.noarch
Local Policy RPM              selinux-policy-targeted-36.5-1.fc36.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.17.1-300.fc36.x86_64 #1 SMP
                              PREEMPT Mon Mar 28 15:27:56 UTC 2022 x86_64 x86_64
Alert Count                   20
First Seen                    2022-03-31 22:00:25 CEST
Last Seen                     2022-03-31 22:00:32 CEST
Local ID                      ffc9dbe6-e442-4610-8917-11e8867b9b44

Raw Audit Messages
type=AVC msg=audit(1648756832.544:420): avc:  denied  { append } for  pid=1706 comm="20-chrony-onoff" path="socket:[24068]" dev="sockfs" ino=24068 scontext=system_u:system_r:NetworkManager_dispatcher_chronyc_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=unix_stream_socket permissive=0


Hash: 20-chrony-dhcp,NetworkManager_dispatcher_chronyc_t,init_t,unix_stream_socket,append

Version-Release number of selected component:
selinux-policy-targeted-36.5-1.fc36.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.17.1
hashmarkername: setroubleshoot
kernel:         5.17.1-300.fc36.x86_64
type:           libreport

Comment 1 Fedora Update System 2022-04-27 08:00:43 UTC
FEDORA-2022-47789bbc9d has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-47789bbc9d

Comment 2 Fedora Update System 2022-04-28 05:11:07 UTC
FEDORA-2022-47789bbc9d has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-47789bbc9d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-47789bbc9d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-05-02 19:43:21 UTC
FEDORA-2022-47789bbc9d has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.